Skip to main content
POST
/
v2
/
package-vetting
/
list
/v2/package-vetting/list
curl --request POST \
  --url https://api.example.com/v2/package-vetting/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "packageMetadataFilter": {
    "packageIds": [
      "<string>"
    ],
    "packageNamePrefixes": [
      "<string>"
    ]
  },
  "topologyStateFilter": {
    "participantIds": [
      "<string>"
    ],
    "synchronizerIds": [
      "<string>"
    ]
  },
  "pageToken": "<string>",
  "pageSize": 123
}
'
{
  "vettedPackages": [
    {
      "packages": [
        {
          "packageId": "<string>",
          "validFromInclusive": "<string>",
          "validUntilExclusive": "<string>",
          "packageName": "<string>",
          "packageVersion": "<string>"
        }
      ],
      "participantId": "<string>",
      "synchronizerId": "<string>",
      "topologySerial": 123
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
packageMetadataFilter
PackageMetadataFilter · object

The package metadata filter the returned vetted packages set must satisfy.

Optional

topologyStateFilter
TopologyStateFilter · object

The topology filter the returned vetted packages set must satisfy.

Optional

pageToken
string

Pagination token to determine the specific page to fetch. Using the token guarantees that VettedPackages on a subsequent page are all greater (VettedPackages are sorted by synchronizer ID then participant ID) than the last VettedPackages on a previous page.

The server does not store intermediate results between calls chained by a series of page tokens. As a consequence, if new vetted packages are being added and a page is requested twice using the same token, more packages can be returned on the second call.

Leave unspecified (i.e. as empty string) to fetch the first page.

Optional

pageSize
integer<int32>

Maximum number of VettedPackages results to return in a single page.

If the page_size is unspecified (i.e. left as 0), the server will decide the number of results to be returned.

If the page_size exceeds the maximum supported by the server, an error will be returned.

To obtain the server's maximum consult the PackageService descriptor available in the VersionService.

Optional

Response

vettedPackages
VettedPackages · object[]

All VettedPackages that contain at least one VettedPackage matching both a PackageMetadataFilter and a TopologyStateFilter. Sorted by synchronizer_id then participant_id.

Optional: can be empty

nextPageToken
string

Pagination token to retrieve the next page. Empty string if there are no further results.

Optional